Debian Bug report logs - #302634
squid: assertion failure in stmem.c results in unclean restart of squid

version graph

Package: squid; Maintainer for squid is Luigi Gangitano <luigi@debian.org>; Source for squid is src:squid.

Reported by: Daniel Pittman <daniel@rimspace.net>

Date: Sat, 2 Apr 2005 02:18:03 UTC

Severity: grave

Tags: sid

Found in version 2.5.9-2

Fixed in version squid/2.5.9-4

Done: Luigi Gangitano <luigi@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://www.squid-cache.org/bugs/show_bug.cgi?id=1279

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Pittman <daniel@rimspace.net>, Luigi Gangitano <luigi@debian.org>:
Bug#302634; Package squid. Full text and rfc822 format available.

Acknowledgement sent to Daniel Pittman <daniel@rimspace.net>:
New Bug report received and forwarded. Copy sent to Daniel Pittman <daniel@rimspace.net>, Luigi Gangitano <luigi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Pittman <daniel@rimspace.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: squid: assertion failure in stmem.c results in unclean restart of squid
Date: Sat, 02 Apr 2005 12:07:06 +1000
Package: squid
Version: 2.5.9-2
Severity: grave

After upgrading to 2.5.9-3, squid would routinely fail with this
assertion:

2005/04/02 12:01:48| assertion failed: stmem.c:93: "current_offset == target_offset"

The process seemed to restart automatically, and perform an DIRTY cache
rebuild.

I have, as you will note, downgraded to the previous version, which
resolves the problem.

I use diskd as the storage mechanism for my cache directory.

  Daniel

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.12-rc1-enki
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)

Versions of packages squid depends on:
ii  adduser                     3.63         Add and remove users and groups
ii  coreutils                   5.2.1-2      The GNU core utilities
ii  debconf                     1.4.47       Debian configuration management sy
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libldap2                    2.1.30-3     OpenLDAP libraries
ii  libpam0g                    0.76-22      Pluggable Authentication Modules l
ii  logrotate                   3.7-2        Log rotation utility
ii  netbase                     4.21         Basic TCP/IP networking system
ii  squid-common                2.5.9-2      Internet Object Cache (WWW proxy c

-- debconf information:
  squid/fix_cachedir_perms: false
* squid/largefiles_warning:
  squid/anonymize_headers:
  squid-cgi/cachemgr:
  squid/old_version: false
  squid/http_anonymizer:
  squid/authenticate_program:
  squid/fix_lines: true

-- 
> I have no life, and I must scream.
And in response, thus spake the Oracle:
} And there we have it, modern music summed up in one tidy sentence.



Tags added: sid Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#302634; Package squid. Full text and rfc822 format available.

Acknowledgement sent to Luigi Gangitano <luigi@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 302634@bugs.debian.org (full text, mbox):

From: Luigi Gangitano <luigi@debian.org>
To: Daniel Pittman <daniel@rimspace.net>, 302634@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#302634: squid: assertion failure in stmem.c results in unclean restart of squid
Date: Sun, 03 Apr 2005 02:10:25 +0200
[Message part 1 (text/plain, inline)]
forwarded 302634 http://www.squid-cache.org/bugs/show_bug.cgi?id=1279
thanks

Hi,
thanks for reporting this bug. I'm tracking regressions of the 2GB patch
with upstream authors.

Regards,

-- 
 Luigi Gangitano -- <luigi@debian.org> -- <gangitano@lugroma3.org>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972  C24A F19B A618 924C 0C26
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://www.squid-cache.org/bugs/show_bug.cgi?id=1279. Request was from Luigi Gangitano <luigi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Luigi Gangitano <luigi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Pittman <daniel@rimspace.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 302634-close@bugs.debian.org (full text, mbox):

From: Luigi Gangitano <luigi@debian.org>
To: 302634-close@bugs.debian.org
Subject: Bug#302634: fixed in squid 2.5.9-4
Date: Sun, 03 Apr 2005 21:03:15 -0400
Source: squid
Source-Version: 2.5.9-4

We believe that the bug you reported is fixed in the latest version of
squid, which is due to be installed in the Debian FTP archive:

squid-cgi_2.5.9-4_sparc.deb
  to pool/main/s/squid/squid-cgi_2.5.9-4_sparc.deb
squid-common_2.5.9-4_all.deb
  to pool/main/s/squid/squid-common_2.5.9-4_all.deb
squid_2.5.9-4.diff.gz
  to pool/main/s/squid/squid_2.5.9-4.diff.gz
squid_2.5.9-4.dsc
  to pool/main/s/squid/squid_2.5.9-4.dsc
squid_2.5.9-4_sparc.deb
  to pool/main/s/squid/squid_2.5.9-4_sparc.deb
squidclient_2.5.9-4_sparc.deb
  to pool/main/s/squid/squidclient_2.5.9-4_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 302634@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luigi Gangitano <luigi@debian.org> (supplier of updated squid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  3 Apr 2005 01:43:31 +0200
Source: squid
Binary: squid squid-cgi squidclient squid-common
Architecture: source sparc all
Version: 2.5.9-4
Distribution: unstable
Urgency: medium
Maintainer: Luigi Gangitano <luigi@debian.org>
Changed-By: Luigi Gangitano <luigi@debian.org>
Description: 
 squid      - Internet Object Cache (WWW proxy cache)
 squid-cgi  - Squid cache manager CGI program
 squid-common - Internet Object Cache (WWW proxy cache) - common file
 squidclient - Command line URL extractor that talks to (a) squid
Closes: 302634
Changes: 
 squid (2.5.9-4) unstable; urgency=medium
 .
   * Urgency still medium due to upstream fixes that should go into sarge
 .
   * debian/patches/09-enable-large-files
     - Updated upstream patch, fixing crashes with diskd (Closes: #302634)
 .
   * debian/patches/00list
     - Reworked patch order
Files: 
 f20682b7559195b610e550a0b7efc2a5 645 web optional squid_2.5.9-4.dsc
 1b75c8dcd167260dbc689eb6c98e3b5f 327912 web optional squid_2.5.9-4.diff.gz
 5a41c203fa262f8f49995d7ec227dea3 194616 web optional squid-common_2.5.9-4_all.deb
 4e84ced613c6bb954b9c7ac0a45f2ee7 769246 web optional squid_2.5.9-4_sparc.deb
 226d5f2512986319f15fc9e61b7e5ffd 74958 web optional squidclient_2.5.9-4_sparc.deb
 7a1ce5edaa19faed833a242cf0978f36 92328 web optional squid-cgi_2.5.9-4_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCUI+j8ZumGJJMDCYRAmpgAJwKNYsq+twEV+DMwthJHaqP8rqY8wCdGNlo
BOSvL1yXbjts1OR+EfXWn2U=
=69pu
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:31:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.